Bug 598250 - 'Check for new messages in all folders' email option appears not to work in exchange account
'Check for new messages in all folders' email option appears not to work in e...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 17:54 EDT by srh
Modified: 2010-07-08 07:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-exchange-2.30.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 18:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description srh 2010-05-31 17:54:28 EDT
Description of problem:
Installed evolution-exchange. Set up account connecting to MS exchange server. Seems to work as expected.

Go to 'Evolution Preferences', 'Mail Account', edit the exchange account, 'Receiving Options' tab, UN-tick the 'Check for new messages in all folders', click ok.
Restart Evo, Evo still appears to run though all the email folders scanning for new messages and fetching summaries. But it shouldn't, since the previously mentioned box has been unticked. Evo didn't scan all folders in 2.28.

Why is this a problem?? Some email folders have a lot of emails, and on a slow connection, chugging through the whole lot slows things down. When that check box is unticked, Evo should only  view and refresh a folder when I click on that folder. (Also, I have to delete the directory .evolution/exchange sometimes, as on another computer it does not refresh the email list properly. Deleting allows a fresh start, but downloading the big folders is still a problem.)


Version-Release number of selected component (if applicable):
Name       : evolution-exchange
Arch       : x86_64
Version    : 2.30.1
Release    : 3.fc13

Name       : evolution
Arch       : i686
Version    : 2.30.1
Release    : 6.fc13


How reproducible:
Always
Comment 1 Milan Crha 2010-06-01 04:22:34 EDT
Thanks for a bug report. I tried to reproduce this and it seems to work properly for me. I did the same thing as you:
a) run Evolution; as I had unchecked "check in all" then I checked it
b) close evolution and run it again, to have this change in effect
c) I see all folders in evolution-exchange account are checked now
d) Edit->Preferences->Mail Accounts->Exchange account->Edit, uncheck "check all"
e) close evolution and run it again, to have this change in effect (same as you)
f) I see only evolution-exchange's Inbox is checked on start, no other
   folder from there

I'm wondering what may be the difference between your and mine setup, but I cannot think of anything except of some filters or search folders, which may cause folder open, thus its refresh. I do not use Search Folders and I have them disabled in Preferences.

Just in case, when you go to /apps/evolution/mail/accounts in gconf, and see the exchange account definition, is it containing a "check_all" (with underscore and without quotes) string, or not? If it does, in a source_url, then it means it will check in all folders, otherwise only in the Inbox. Feel free to paste the account definition here, with changed server addresses and a user names, if you are not sure. Thanks in advance.
Comment 2 srh 2010-06-01 19:12:58 EDT
No junk mail or other filters are on. Search folders are disabled in Preferences.

I deleted exchange account, then:
rm -rf /home/stewart/.evolution/exchange
rm -rf /home/stewart/.evolution/mail/exchange
rm -rf /home/stewart/.evolution/mail/local
rm -rf /home/stewart/.evolution/mail/vfolder
rm -rf /home/stewart/.evolution/addressbook/local
rm -rf /home/stewart/.evolution/calendar/local
rm -rf /home/stewart/.evolution/memos/local
rm -rf /home/stewart/.evolution/tasks/local
rm -rf /home/stewart/.evolution/cache

I created exchange account('Check for new messages in all folders' unticked), and the account loaded up.

**TICK ON**
I went to edit mail account options, 'Check for new messages in all folders' is ticked. Close Evo. Then:
rm -rf /home/stewart/.evolution/exchange
rm -rf /home/stewart/.evolution/mail/exchange
rm -rf /home/stewart/.evolution/mail/local
rm -rf /home/stewart/.evolution/mail/vfolder
rm -rf /home/stewart/.evolution/addressbook/local
rm -rf /home/stewart/.evolution/calendar/local
rm -rf /home/stewart/.evolution/memos/local
rm -rf /home/stewart/.evolution/tasks/local
rm -rf /home/stewart/.evolution/cache

/apps/evolution/mail/accounts in gconf:
<?xml version="1.0"?>
<account name="XXX" uid="1275432042.7420.0@sefton" enabled="true"><identity><name>Stewart Hardie</name><addr-spec>stewart.hardie@XXX</addr-spec><reply-to>stewart.hardie@XXX</reply-to><signature uid=""/></identity><source save-passwd="true" keep-on-server="false" auto-check="true" auto-check-timeout="1"><url>exchange://XXX;auth=Basic@exchange.XXX.nz/;check_all;command=ssh%20-C%20-l%20%25u%20%25h%20exec%20/usr/sbin/imapd;owa_url=https://exchange.XXX.nz;save-passwd=false;mailbox=XXX;owa_path=/exchange;ad_auth=default;use_ssl=always</url></source><transport save-passwd="false"><url>exchange://XXX;auth=Basic@exchange.XXX.nz/;check_all;command=ssh%20-C%20-l%20%25u%20%25h%20exec%20/usr/sbin/imapd;owa_url=https://exchange.XXX.nz;save-passwd=false;mailbox=XXX;owa_path=/exchange;ad_auth=default;use_ssl=always</url></transport><drafts-folder>exchange://XXX;auth=Basic@exchange.XXX.nz/personal/Drafts</drafts-folder><sent-folder>exchange://srh60;auth=Basic@exchange.XXX.nz/personal/Sent%20Items</sent-folder><auto-cc always="false"><recipients></recipients></auto-cc><auto-bcc always="false"><recipients></recipients></auto-bcc><receipt-policy policy="never"/><pgp encrypt-to-self="false" always-trust="false" always-sign="false" no-imip-sign="false"/><smime sign-default="false" encrypt-default="false" encrypt-to-self="false"/></account>

Started Evo. Flashing across bottom of Evo is for ALL folders:
Scanning for changed messages
Fetching summary information for new messages (0 slowly to 100% for email folders with large number of emails ~3500)


**TICK OFF**
I went to edit mail account options, 'Check for new messages in all folders' is UN-ticked. Close Evo. Then:
rm -rf /home/stewart/.evolution/exchange
rm -rf /home/stewart/.evolution/mail/exchange
rm -rf /home/stewart/.evolution/mail/local
rm -rf /home/stewart/.evolution/mail/vfolder
rm -rf /home/stewart/.evolution/addressbook/local
rm -rf /home/stewart/.evolution/calendar/local
rm -rf /home/stewart/.evolution/memos/local
rm -rf /home/stewart/.evolution/tasks/local
rm -rf /home/stewart/.evolution/cache

/apps/evolution/mail/accounts in gconf:
<?xml version="1.0"?>
<account name="XXX" uid="1275432042.7420.0@sefton" enabled="true"><identity><name>Stewart Hardie</name><addr-spec>stewart.hardie@XXX</addr-spec><reply-to>stewart.hardie@XXX</reply-to><signature uid=""/></identity><source save-passwd="true" keep-on-server="false" auto-check="true" auto-check-timeout="1"><url>exchange://XXX;auth=Basic@exchange.XXX.nz/;command=ssh%20-C%20-l%20%25u%20%25h%20exec%20/usr/sbin/imapd;owa_url=https://exchange.XXX.nz;save-passwd=false;mailbox=XXX;owa_path=/exchange;ad_auth=default;use_ssl=always</url></source><transport save-passwd="false"><url>exchange://XXX;auth=Basic@exchange.XXX.nz/;command=ssh%20-C%20-l%20%25u%20%25h%20exec%20/usr/sbin/imapd;owa_url=https://exchange.XXX.nz;save-passwd=false;mailbox=XXX;owa_path=/exchange;ad_auth=default;use_ssl=always</url></transport><drafts-folder>exchange://XXX;auth=Basic@exchange.XXX.nz/personal/Drafts</drafts-folder><sent-folder>exchange://XXX;auth=Basic@exchange.XXX.nz/personal/Sent%20Items</sent-folder><auto-cc always="false"><recipients></recipients></auto-cc><auto-bcc always="false"><recipients></recipients></auto-bcc><receipt-policy policy="never"/><pgp encrypt-to-self="false" always-trust="false" always-sign="false" no-imip-sign="false"/><smime sign-default="false" encrypt-default="false" encrypt-to-self="false"/></account>

Started Evo. Flashing across bottom of Evo is for ALL folders:
Scanning for changed messages
Fetching summary information for new messages (0 slowly to 100% for email folders with large number of emails ~3500)

Same result.

Any further thoughts?
Comment 3 Milan Crha 2010-06-02 04:08:35 EDT
Thanks for the update. That 'rm -rf ...' isn't needed, and I wonder how much it is related to our issue, as I didn't do that and only the Inbox folder is updated for me when I have the "check in all folders" option unchecked. From the gconf key dump I see it is really turned off, as expected.
Comment 4 Milan Crha 2010-06-02 10:08:09 EDT
I just tried to reproduce this again, also with "Automatically synchronize account locally" option checked, but no luck, it still refreshes only the Inbox folder, or the one I stay in, from evolution-exchange account. I do not think I do anything differently from you.
Comment 5 srh 2010-06-02 20:33:25 EDT
I did the 'rm -rf ...' to:
1. Absolutely see that folders other than Inbox are downloaded at Evo startup even tho 'Check for new messages in all folders' is unticked. After startup, clicking on another folder instantly shows all email summaries (not the contents of each email) in it, meaning that the email summaries have already been downloaded, even though 'Check for new messages in all folders' is unticked. I would expect the email summaries (not contents) to be downloaded after I click on another folder.
2. Unrelated bug - going to another computer and starting Evo to the same exchange account sometimes makes emails not visible (often if there has been many changes from first computer). Doing 'rm -rf ...' and restarting fixes this. Present in Evo 2.28 on Fedora12. Not sure yet if present in Evo 2.30. Perhaps https://bugzilla.gnome.org/show_bug.cgi?id=581908

Will investigate this issue further if I have time (of which is in short supply), and post further if I can figure something else out. Maybe after installing F13 on another computer etc.
Comment 6 Milan Crha 2010-06-17 10:41:00 EDT
(In reply to comment #5)
> Present in Evo 2.28 on Fedora12. Not sure yet if present in Evo 2.30.
> Perhaps https://bugzilla.gnome.org/show_bug.cgi?id=581908

Fix for the Gnome bug is in 2.28.0 included, though I heard it didn't cover all the cases.

> Will investigate this issue further if I have time (of which is in short
> supply), and post further if I can figure something else out. Maybe after
> installing F13 on another computer etc.    

Thanks. I'm setting to needinfo just to indicate we are waiting on your findings.
Comment 7 srh 2010-07-07 18:48:40 EDT
Updated to newer version of Evo, and now this problem has gone away. When starting Evo, only the first folder is checked now. When clicking on another folder, only then does Evo download message summaries. This is what should happen.

I considered this problem fixed. I'll re-open the bug if it comes back again.

Fixed in:

Name       : evolution
Arch       : x86_64
Version    : 2.30.2
Release    : 1.fc13

Name       : evolution-exchange
Arch       : x86_64
Version    : 2.30.2
Release    : 1.fc13
Comment 8 Milan Crha 2010-07-08 07:07:01 EDT
Good. Thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.